libzypp 17.37.10

zypp::AutoDispose< void >::Impl Struct Reference
Inheritance diagram for zypp::AutoDispose< void >::Impl:

## Public Member Functions
| Impl ()
| Impl (Dispose dispose_r)
| ~Impl ()

## Public Attributes
Dispose | _dispose
value_type | _value

## Detailed Description

Definition at line 248 of file AutoDispose.h.

## Constructor & Destructor Documentation

## ◆ Impl() [1/2]

zypp::AutoDispose< void >::Impl::Impl | ( |  | ) |
| inline

Definition at line 250 of file AutoDispose.h.

## ◆ Impl() [2/2]

zypp::AutoDispose< void >::Impl::Impl | ( | Dispose | dispose_r | ) |
| inline

Definition at line 253 of file AutoDispose.h.

## ◆ ~Impl()

zypp::AutoDispose< void >::Impl::~Impl | ( |  | ) |
| inline

Definition at line 257 of file AutoDispose.h.

## Member Data Documentation

## ◆ _dispose

Dispose zypp::AutoDispose< void >::Impl::_dispose

Definition at line 262 of file AutoDispose.h.

## ◆ _value

value_type zypp::AutoDispose< void >::Impl::_value

Definition at line 195 of file AutoDispose.h.

The documentation for this struct was generated from the following file:

- zypp-core/AutoDispose.h